#!/usr/bin/python3.5
#
# This is the Python example using the bmp180 class
# barometric pressure sensor
# 2-line LCD display
# U. Raich UCC, Nov.2017

import Bmp180Class

bmp180 = Bmp180Class.Bmp180Class()
oss = bmp180.getResolution()
print("in main: resolution is: ",oss)
print("chip id: ",format(bmp180.chipID(),'02x'))
bmp180.measure()
#bmp180.dummyCalib()
bmp180.convert()
print("temperature  = " + str(bmp180.getTemperature())+"°C")
print("air pressure = " + str(bmp180.getPressure())+"hPa")
